Accounts APIAliases
Change state of alias
PATCH
Marks the specified alias as active or inactive.
BearerAuthheader
AuthorizationBearer <JWT>aliasId*stringUnique identifier of the alias
Format
uuidIdempotency-Key*stringIt helps preventing duplicates in your POST requests. It is recommend using a UUID for the key, however you may use any other unique identifier you choose.
Length
length <= 160X-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
Value in
1application/json- body
active*booleanalias successfully updated
curl -X PATCH 'https://accounts.sandbox.volt.io/account-aliases/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Idempotency-Key: 85136c79cbf9fe36bb9d05d0639c70c265c18d37' \ -H 'X-Volt-Api-Version: 1' \ -H 'Content-Type: application/json' \ -d '{ "active": true}'Example Response
Empty
Trigger a reversal for an incoming transaction POST
Simulates a banking provider reversal notification for the specified incoming transaction. Only available in the sandbox environment.
Close alias POST
Permanently closes the specified alias. A closed alias cannot be reopened or used for further transactions.